Summary:	yconsole - monitors & controls the Y sound server
Summary(pl.UTF-8):	yconsole - monitorowanie i sterowanie serwerem dźwięku Y
Name:		yconsole
Version:	3.4.6
Release:	3
License:	GPL-like
Group:		Applications/Sound
Source0:	http://wolfsinger.com/~wolfpack/packages/%{name}-%{version}.tar.bz2
# Source0-md5:	923ddfedd38efa41a408d93ee6bd78ac
URL:		http://freecode.com/projects/yconsole
BuildRequires:	gtk+-devel >= 1.2.10
BuildRequires:	imlib-devel
BuildRequires:	libstdc++-devel
BuildRequires:	yiff-devel >= 2.14
Requires:	gtk+ >= 1.2.10
Requires:	yiff-lib >= 2.14
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YConsole monitors the status of the Y sound server and allows
modification of its Audio and Mixer values. It also features yplayer
which allows you to play sound objects and audio CDs.

%description -l pl.UTF-8
YConsole monitoruje stan serwera dźwięku Y i pozwala na modyfikowanie
jego wartości dźwięku i miksera. Ma także yplayer, który pozwala
odtwarzać obiekty dźwiękowe i płyty CD-Audio.

%prep
%setup -q

%build
%{__make} -C yconsole \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags} -Wall `imlib-config --cflags` -DHAVE_IMLIB `gtk-config --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C yconsole install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 \
	ICONS_DIR=$RPM_BUILD_ROOT%{_pixmapsdir}

# conflicts with yplayer, but may be useful for some desktop in future...
%{__rm} $RPM_BUILD_ROOT%{_pixmapsdir}/yplayer.xpm

bzip2 -d $RPM_BUILD_ROOT%{_mandir}/man1/*.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%attr(755,root,root) %{_bindir}/yconsole
%{_datadir}/yconsole
%{_pixmapsdir}/yconsole.xpm
%{_pixmapsdir}/ymidi.xpm
%{_pixmapsdir}/ymixer.xpm
%{_mandir}/man1/yconsole.1*
%changelog
* Wed Oct 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yconsole.git;a=log;h=auto/th/yconsole-3.4.6-3

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 1dc7c4c
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 0e08574
- release 2 (by relup.sh)

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> d73a37f
- new URLs, updated to 3.4.6

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 260ba87
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 70ddffc
- converted to UTF-8

* Sun Aug 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 316e2c0
- updated to 3.4.3

* Wed Jun 08 2005 zbyniu <zbyniu@pld-linux.org> f5ae327
- BR: libstdc++-devel

* Fri May 13 2005 zbyniu <zbyniu@pld-linux.org> 90bc499
- up to 3.4.1

* Tue Jul 13 2004 ankry <ankry@pld-linux.org> 697cd1c
- removed yplayer.xpm for now

* Mon Apr 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 791e3fb
- updated to 3.0.8

* Mon Mar 01 2004 Jakub Bogusz <qboosh@pld-linux.org> d782452
- updated to 3.0.5

* Sun Jul 27 2003 Jakub Bogusz <qboosh@pld-linux.org> 697bbc1
- new

